What is Hitware Popup Killer Lite
Top Next

Hitware popup killer Lite is a FREE professional utility that help eliminate pop-up and pop-up under ads.

Hitware Popup Killer Lite prevents popup windows from leaving cookies on your system and slowing down your surfing experience by eliminating popup windows even before they reach your browser window.

Features:

Eliminates popup and pop-under ads.
No black list to maintain.
White list to maintain to allow popup ads from user selected sites.
Contents of popup windows is not downloaded.
Saves your internet bandwidth by eliminating popup windows before they appear.
Audio/ Visual notification.
Comprehensive help system.
Free updates.
Supports Internet Explorer 5.x - 6.x.
Support Windows 95, 98, 98SE, ME, NT, 2000, XP.

Copyright © 2002 - 2004 RIGHT Utilities Inc. All rights reserved.


System Requirements
Previous Top Next

Intel Pentium or compatible processor
32 MB RAM or more
5 MB hard disk space
Microsoft Windows 95/98/ME/NT/2000/XP
Microsoft Internet Explorer 5.1 or higher


Preferences

hitwarelitever31

Enable popup blocking : Checking this option will enable popup blocking feature.

Start Hitware Popup Killer Lite when windows start : When checked Hitware Popup Killer Lite will start whenever windows start.

Animate system tray icon when a popup window is blocked : When checked Hitware Popup Killer Lite will animate its system tray icon whenever a new popup window is blocked.

Play a sound when a popup window is blocked : When checked Hitware Popup Killer Lite will play a sound whenever a new popup window is blocked.

Sound To Play : Select the sound theme that you need to be played whenever a new popup window is blocked.

Select Sound : Click this to select your desired sound theme .

Test Sound : Click this to test the selected sound theme.

Eliminated Popups : Show total number of eliminated popup windows.


White List

hitwarelitever32

URL : To add a new site to the white list you can 1) Simply type the new url you need to add and press Enter 2) Press on the hitwarelitever34 button. 3) Simply drag any url from your Internet Explorer address bar and drop it inside the white list table.
To delete a URL from the white list simply select the url you want to delete and press delete.

Save: Press save to save your white list.


Select Sound

hitwarelitever33

Select sound theme from the list and press select.


Frequently Asked Questions

What platforms does Hitware Popup Killer Lite run on ?
Do you provide Free updates ?
How I can know if Hitware Popup Killer Lite is running or not ?
How do I disable popup killer or allow some popup windows from certain sites ?
How can I uninstall Hitware Popup Killer Lite ?
Why I don't hear any sound when a new popup window is blocked ?
Do you provide support for Hitware Popup Killer Lite ?
Why do I still see popup screens while running Hitware Popup Killer Lite ?
I've submitted a support ticket online, why I got no replies?

What Platforms does Hitware Popup Killer Lite run on ?

Hitware Popup Killer Lite runs on Microsoft Windows 95, 98, Me, NT4, 2000 and XP. [Top]

Do you provide free updates ?

Yes, Hitware Popup Killer Lite comes with FREE lifetime updates. If you would like to be notified by mail once a new update is release please mail us at news@rightutilities.com . Please note that this is purely optional, and we do not share your email address with any third-party for any reason. [Top]

How I can know if Hitware Popup Killer Lite is running or not?

Hitware Popup Killer Lite icon appears in your system tray as long as the program is running, if you couldn't find Hitware Popup Killer Lite icon in the system tray then it is not running. [Top]

How do I disable popup killer or allow some popup windows from certain sites?

Simply all you need to do is press and hold the CTRL key while the site containing the wanted popup windows is loading. [Top]

How can I uninstall Hitware Popup Killer Lite?

Uninstalling Hitware Popup Killer Lite is simply like any other software removal, first exit Hitware Popup Killer Lite and all other running programs, go to Control Panel, Add/Remove programs, select the program you wish to uninstall and hit remove. Please remember to reboot if asked. If you still having problem uninstalling Hitware Popup Killer Lite please submit a Support Ticket or contact us at support@rightutilities.com and we will be happy to assist you. [Top]

Why I don't hear any sound when a new popup window is blocked?

Please make sure that you have selected sound theme from Preferences > Select Sound, it is not enough to select 'Play a sound when a popup window is blocked', you need to select the sound theme as well. [Top]

Do you provide support for Hitware Popup Killer Lite?

We do provide technical support for all of our products, if you couldn't find answer to your question here please submit a Support Ticket or contact us at support@rightutilities.com . [Top]

Why do I still see popup screens while running Hitware Popup Killer Lite?

Please check the following:

A- Your Internet Explorer version, if you have Internet Explorer version 5.0 then this is why you see popup windows as this version is the only version in Internet Explorer that had bug. So please upgrade to version 5.01. Microsoft has corrected version 5.0 bugs in version 5.1.

B- Please go to your browser Tools menu, then click Options, then click the Advanced tab and verify the "Enable third-party browser extensions (requires restart)" is checked. If you check this option, please restart your browser.

C- You might have something called "Spyware" installed on your Computer, this could be something that causes some of your Popups. Hitware Popup Killer Lite cannot stop all of these for the reason that they are generated directly from your Computer, not from your browser or the Internet.
These "Spyware" can be installed without your knowledge, and most of the time they are. They can be installed by other programs that you may have installed, or websites that you may have visited (If you ever click "Yes" when a website asks you something you may have just received Spyware!).

D- Hitware Popup Killer Lite is running and its icon exist in the windows system tray. [Top]

I've submitted a support ticket online, why I got no replies?

We reply to recieved support tickets promptly, although few of those support tickets don't carry a valid email address. If you entered a valid email address while submitting your support ticked you should recieve a confirmation mail within minutes from submitting your support ticket, if you didn't recieve any confirmation email please re-submit your support ticket and check your email or contact us directly at support@rightutilities.com [Top]


Contact Information
Previous Top

RIGHT Utilities, Inc. Website: www.rightutilities.com

General Information
info@rightutilities.com

Sales
sales@rightutilities.com

Support
support@rightutilities.com

Partners
partners@rightutilities.com


.topic 1

   Enable popup blocking : Checking this option will enable popup blocking feature.

   Start Hitware Popup Killer Lite when windows start : When checked Hitware Popup Killer Lite will start whenever windows start.

   Animate system tray icon when a popup window is blocked : When checked Hitware Popup Killer Lite will animate its system tray icon whenever a new popup window is blocked.

   Play a sound when a popup window is blocked : When checked Hitware Popup Killer Lite will play a sound whenever a new popup window is blocked.

   Sound To Play : Select the sound theme that you need to be played whenever a new popup window is blocked.

   Select Sound : Click this to select your desired sound theme .

   Test Sound : Click this to test the selected sound theme.

   Eliminated Popups : Show total number of eliminated popup windows.

Copyright © 2002 - 2004 RIGHT Utilities Inc. All rights reserved.

.topic 2

 Select sound theme from the list and press select.

Copyright © 2002 - 2004 RIGHT Utilities Inc. All rights reserved.

.topic 8
#
What platforms does Hitware Popup Killer Lite run on ?
Do you provide Free updates ?
How I can know if Hitware Popup Killer Lite is running or not ?
How do I disable popup killer or allow some popup windows from certain sites ?
How can I uninstall Hitware Popup Killer Lite ?
Why I don't hear any sound when a new popup window is blocked ?
Do you provide support for Hitware Popup Killer Lite ?
Why do I still see popup screens while running Hitware Popup Killer Lite ?
I've submitted a support ticket online, why I got no replies?

#What Platforms does Hitware Popup Killer Lite run on ?

Hitware Popup Killer Lite runs on Microsoft Windows 95, 98, Me, NT4, 2000 and XP. [Top]

#Do you provide free updates ?

Yes, Hitware Popup Killer Lite comes with FREE lifetime updates. If you would like to be notified by mail once a new update is release please mail us at news@rightutilities.com . Please note that this is purely optional, and we do not share your email address with any third-party for any reason. [Top]

#How I can know if Hitware Popup Killer Lite is running or not?

Hitware Popup Killer Lite icon appears in your system tray as long as the program is running, if you couldn't find Hitware Popup Killer Lite icon in the system tray then it is not running. [Top]

#How do I disable popup killer or allow some popup windows from certain sites?

Simply all you need to do is press and hold the CTRL key while the site containing the wanted popup windows is loading. [Top]

#How can I uninstall Hitware Popup Killer Lite?

Uninstalling Hitware Popup Killer Lite is simply like any other software removal, first exit Hitware Popup Killer Lite and all other running programs, go to Control Panel, Add/Remove programs, select the program you wish to uninstall and hit remove. Please remember to reboot if asked. If you still having problem uninstalling Hitware Popup Killer Lite please submit a Support Ticket  or contact us at support@rightutilities.com and we will be happy to assist you. [Top]

#Why I don't hear any sound when a new popup window is blocked?

Please make sure that you have selected sound theme from Preferences > Select Sound, it is not enough to select 'Play a sound when a popup window is blocked', you need to select the sound theme as well. [Top]

#Do you provide support for Hitware Popup Killer Lite?

We do provide technical support for all of our products, if you couldn't find answer to your question here please submit a Support Ticket or contact us at support@rightutilities.com . [Top]

#Why do I still see popup screens while running Hitware Popup Killer Lite?

Please check the following:

A- Your Internet Explorer version, if you have Internet Explorer version 5.0 then this is why you see popup windows as this version is the only version in Internet Explorer that had bug. So please upgrade to version 5.01. Microsoft has corrected version 5.0 bugs in version 5.1.

B- Please go to your browser Tools menu, then click Options, then click the Advanced tab and verify the "Enable third-party browser extensions (requires restart)" is checked. If you check this option, please restart your browser.

C- You might have something called "Spyware" installed on your Computer, this could be something that causes some of your Popups. Hitware Popup Killer Lite cannot stop all of these for the reason that they are generated directly from your Computer, not from your browser or the Internet.
These "Spyware" can be installed without your knowledge, and most of the time they are. They can be installed by other programs that you may have installed, or websites that you may have visited (If you ever click "Yes" when a website asks you something you may have just received Spyware!).

D- Hitware Popup Killer Lite is running and its icon exist in the windows system tray. [Top]

#I've submitted a support ticket online, why I got no replies?

We reply to recieved support tickets promptly, although few of those support tickets don't carry a valid email address. If you entered a valid email address while submitting your support ticked you should recieve a confirmation mail within minutes from submitting your support ticket, if you didn't recieve any confirmation email please re-submit your support ticket and check your email or contact us directly at support@rightutilities.com  [Top]

Copyright © 2002 - 2004 RIGHT Utilities Inc. All rights reserved.

.topic 9
RIGHT Utilities, Inc. Website: www.rightutilities.com

General Information
info@rightutilities.com

Sales
sales@rightutilities.com

Support
support@rightutilities.com

Partners
partners@rightutilities.com